parm input.parm7  #loads the topology file
loadRestrt input.rst7 #loads the restart/coordinate file
setOverwrite True  #Sets overwrite output file
change AMBER_ATOM_TYPE :HID@NE2 MUTE  #changes the atom type of the target atom to MUTE  
addLJType @%MUTE  #adds a new LJ type for MUTE 
add12_6_4 @%Zn2+ c4file c4-zn.txt polfile lj_1264_pol.dat #This line adds c4 terms between metal-water using the computed C4 term from the "c4-metal-ion.txt" file (obtained from this work: https://doi.org/10.1021/ct400751u)
#It also adds c4 terms for metal-MUTE interactions using the polarizability value from the file "cg-lj.dat" (obtained from this work: https://doi.org/10.1021/acs.jctc.2c01081).

outparm 1264_output.parm7 1264_output.rst7 #generates the new topology and coordinate files
printLJMatrix @%Zn2+ #displays LJ matrix for Zn2+
